package library.ext

import androidx.paging.PagedList

fun PagedList.Config.Builder.create(pageSize: Int = 10,
                                    prefetchDistance: Int = 10,
                                    initialLoadSizeHint: Int = 10,
                                    enablePlaceholders: Boolean = false): PagedList.Config =
        PagedList.Config.Builder()
                .setPageSize(pageSize)
                .setPrefetchDistance(prefetchDistance)
                .setInitialLoadSizeHint(initialLoadSizeHint)
                .setEnablePlaceholders(enablePlaceholders)
                .build()